<!-- 
  Copyright (c) 2019 The Nuinalp Authors. All rights reserved.
  Use of this source code is governed by a BSD-style license that can be
  found in the LICENSE file.
-->

<!DOCTYPE html>
<html dir="ltr" lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=5.0">
  <title>NvFlex - Nuiverse UI</title>
  <link rel="stylesheet" href="/build/nuiverse-ui.css">
  <script type="module" src="/build/nuiverse-ui.esm.js"></script>
  <script nomodule src="/build/nuiverse-ui.js"></script>
  <style>
    .ex-highlight {
      background-color: #6494ed7c;
      border: 1px solid #43639e;
    }
  </style>
</head>
<body>
  <div class="demo-component">

    <div class="area-component">
      <h1>Flex</h1>
      <div class="nv-d-flex nv-p-2 ex-highlight">I'm a flexbox container!</div>
    </div>
    
    <div class="area-component">
      <div class="nv-d-inline-flex nv-p-2 ex-highlight">I'm an inline flexbox container!</div>
    </div>
    
    <div class="area-component">
      <h3>Direction</h3>
      <div class="nv-d-flex nv-flex-row ex-highlight nv-mb-3">
        <div class="nv-p-2 ex-highlight">Flex item 1</div>
        <div class="nv-p-2 ex-highlight">Flex item 2</div>
        <div class="nv-p-2 ex-highlight">Flex item 3</div>
      </div>
      <div class="nv-d-flex nv-flex-row-reverse ex-highlight">
        <div class="nv-p-2 ex-highlight">Flex item 1</div>
        <div class="nv-p-2 ex-highlight">Flex item 2</div>
        <div class="nv-p-2 ex-highlight">Flex item 3</div>
      </div>
    </div>

    <div class="area-component">
      <h4>Column</h4>
      <div class="nv-d-flex nv-flex-column ex-highlight nv-mb-3">
        <div class="nv-p-2 ex-highlight">Flex item 1</div>
        <div class="nv-p-2 ex-highlight">Flex item 2</div>
        <div class="nv-p-2 ex-highlight">Flex item 3</div>
      </div>
      <div class="nv-d-flex nv-flex-column-reverse  ex-highlight">
        <div class="nv-p-2 ex-highlight">Flex item 1</div>
        <div class="nv-p-2 ex-highlight">Flex item 2</div>
        <div class="nv-p-2 ex-highlight">Flex item 3</div>
      </div>
    </div>

    <div class="area-component">
      <h3>Justify content</h3>
      <div class="nv-d-flex nv-justify-content-start ex-highlight nv-mb-3">
        <div class="nv-p-2 ex-highlight">Flex item 1</div>
        <div class="nv-p-2 ex-highlight">Flex item 2</div>
        <div class="nv-p-2 ex-highlight">Flex item 3</div>
      </div>
      <div class="nv-d-flex nv-justify-content-end ex-highlight nv-mb-3">
        <div class="nv-p-2 ex-highlight">Flex item 1</div>
        <div class="nv-p-2 ex-highlight">Flex item 2</div>
        <div class="nv-p-2 ex-highlight">Flex item 3</div>
      </div>
      <div class="nv-d-flex nv-justify-content-center ex-highlight nv-mb-3">
        <div class="nv-p-2 ex-highlight">Flex item 1</div>
        <div class="nv-p-2 ex-highlight">Flex item 2</div>
        <div class="nv-p-2 ex-highlight">Flex item 3</div>
      </div>
      <div class="nv-d-flex nv-justify-content-between ex-highlight nv-mb-3">
        <div class="nv-p-2 ex-highlight">Flex item 1</div>
        <div class="nv-p-2 ex-highlight">Flex item 2</div>
        <div class="nv-p-2 ex-highlight">Flex item 3</div>
      </div>
      <div class="nv-d-flex nv-justify-content-around ex-highlight nv-mb-3">
        <div class="nv-p-2 ex-highlight">Flex item 1</div>
        <div class="nv-p-2 ex-highlight">Flex item 2</div>
        <div class="nv-p-2 ex-highlight">Flex item 3</div>
      </div>
    </div>

    <div class="area-component">
      <h3>Align items</h3>
      <div class="nv-d-flex nv-align-items-start ex-highlight nv-mb-3" style="height:100px;">
        <div class="nv-p-2 ex-highlight">Flex item 1</div>
        <div class="nv-p-2 ex-highlight">Flex item 2</div>
        <div class="nv-p-2 ex-highlight">Flex item 3</div>
      </div>
      <div class="nv-d-flex nv-align-items-end ex-highlight nv-mb-3" style="height:100px;">
        <div class="nv-p-2 ex-highlight">Flex item 1</div>
        <div class="nv-p-2 ex-highlight">Flex item 2</div>
        <div class="nv-p-2 ex-highlight">Flex item 3</div>
      </div>
      <div class="nv-d-flex nv-align-items-center ex-highlight nv-mb-3" style="height:100px;">
        <div class="nv-p-2 ex-highlight">Flex item 1</div>
        <div class="nv-p-2 ex-highlight">Flex item 2</div>
        <div class="nv-p-2 ex-highlight">Flex item 3</div>
      </div>
      <div class="nv-d-flex nv-align-items-baseline ex-highlight nv-mb-3" style="height:100px;">
        <div class="nv-p-2 ex-highlight">Flex item 1</div>
        <div class="nv-p-2 ex-highlight">Flex item 2</div>
        <div class="nv-p-2 ex-highlight">Flex item 3</div>
      </div>
      <div class="nv-d-flex nv-align-items-stretch ex-highlight nv-mb-3" style="height:100px;">
        <div class="nv-p-2 ex-highlight">Flex item 1</div>
        <div class="nv-p-2 ex-highlight">Flex item 2</div>
        <div class="nv-p-2 ex-highlight">Flex item 3</div>
      </div>
    </div>

    <div class="area-component">
      <h3>Align self</h3>
      <div class="nv-d-flex ex-highlight nv-mb-3" style="height:100px;">
        <div class="nv-p-2 ex-highlight">Flex item 1</div>
        <div class="nv-align-self-start ex-highlight">Aligned flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item 3</div>
      </div>
      <div class="nv-d-flex ex-highlight nv-mb-3" style="height:100px;">
        <div class="nv-p-2 ex-highlight">Flex item 1</div>
        <div class="nv-align-self-end ex-highlight">Aligned flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item 3</div>
      </div>
      <div class="nv-d-flex ex-highlight nv-mb-3" style="height:100px;">
        <div class="nv-p-2 ex-highlight">Flex item 1</div>
        <div class="nv-align-self-center ex-highlight">Aligned flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item 3</div>
      </div>
      <div class="nv-d-flex ex-highlight nv-mb-3" style="height:100px;">
        <div class="nv-p-2 ex-highlight">Flex item 1</div>
        <div class="nv-align-self-baseline ex-highlight">Aligned flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item 3</div>
      </div>
      <div class="nv-d-flex ex-highlight nv-mb-3" style="height:100px;">
        <div class="nv-p-2 ex-highlight">Flex item 1</div>
        <div class="nv-align-self-stretch ex-highlight">Aligned flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item 3</div>
      </div>
    </div>

    <div class="area-component">
      <h3>Fill</h3>
      <div class="nv-d-flex ex-highlight nv-mb-3">
        <div class="nv-p-2 nv-flex-fill ex-highlight">Flex item with a lot of content</div>
        <div class="nv-p-2 nv-flex-fill ex-highlight">Flex item</div>
        <div class="nv-p-2 nv-flex-fill ex-highlight">Flex item</div>
      </div>
    </div>

    <div class="area-component">
      <h3>Grow and shrink</h3>
      <div class="nv-d-flex ex-highlight nv-mb-3">
        <div class="nv-p-2 nv-flex-grow-1 ex-highlight">Flex item with a lot of content</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
      </div>
    </div>

    <div class="area-component">
      <div class="nv-d-flex ex-highlight nv-mb-3">
        <div class="nv-p-2 nv-w-100 ex-highlight">Flex item with a lot of content</div>
        <div class="nv-p-2 nv-flex-shrink-1 ex-highlight">Flex item</div>
      </div>
    </div>

    <div class="area-component">
      <h3>Auto margins</h3>
      <div class="nv-d-flex ex-highlight nv-mb-3">
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
      </div>
      
      <div class="nv-d-flex ex-highlight nv-mb-3">
        <div class="nv-mr-auto p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
      </div>
      
      <div class="nv-d-flex ex-highlight nv-mb-3">
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-ml-auto p-2 ex-highlight">Flex item</div>
      </div>
    </div>

    <div class="area-component">
      <h3>With align-items</h3>
      <div class="nv-d-flex nv-align-items-start nv-flex-column ex-highlight nv-mb-3" style="height: 200px;">
        <div class="nv-mb-auto nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
      </div>
      
      <div class="nv-d-flex nv-align-items-end nv-flex-column ex-highlight nv-mb-3" style="height: 200px;">
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-mt-auto nv-p-2 ex-highlight">Flex item</div>
      </div>
    </div>

    <div class="area-component">
      <h3>Wrap</h3>
      <div class="nv-d-flex ex-highlight nv-flex-nowrap" style="width: 100px;">
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
      </div>
    </div>

    <div class="area-component">
      <h3>Flex wrap</h3>
      <div class="nv-d-flex ex-highlight nv-flex-wrap">
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
      </div>
    </div>

    <div class="area-component">
      <h3>Flex wrap reverse</h3>
      <div class="nv-d-flex ex-highlight nv-flex-wrap-reverse">
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
      </div>
    </div>

    <div class="area-component">
      <h3>Order</h3>
      <div class="nv-d-flex ex-highlight nv-flex-wrap-reverse">
        <div class="nv-p-2 nv-order-3 ex-highlight">1</div>
        <div class="nv-p-2 nv-order-1 ex-highlight">2</div>
        <div class="nv-p-2 nv-order-2 ex-highlight">3</div>
      </div>
    </div>

    <div class="area-component">
      <h3>Align content</h3>
      <div class="nv-d-flex nv-align-content-start nv-flex-wrap ex-highlight" style="height: 200px;">
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
      </div>
    </div>

    <div class="area-component">
      <div class="nv-d-flex nv-align-content-end nv-flex-wrap ex-highlight" style="height: 200px;">
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
      </div>
    </div>

    <div class="area-component">
      <div class="nv-d-flex nv-align-content-center nv-flex-wrap ex-highlight" style="height: 200px;">
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
      </div>
    </div>

    <div class="area-component">
      <div class="nv-d-flex nv-align-content-between nv-flex-wrap ex-highlight" style="height: 200px;">
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
      </div>
    </div>

    <div class="area-component">
      <div class="nv-d-flex nv-align-content-around nv-flex-wrap ex-highlight" style="height: 200px;">
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
      </div>
    </div>

    <div class="area-component">
      <div class="nv-d-flex nv-align-content-stretch nv-flex-wrap ex-highlight" style="height: 200px;">
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
        <div class="nv-p-2 ex-highlight">Flex item</div>
      </div>
    </div>

  </div>
</body>
</html>
 